import { UAParser } from 'ua-parser-js';
import { BaseService } from './abstract/baseService';

class BrowserService extends BaseService {
    public static sharedInstance = new BrowserService();
    protected logTag: string = 'BrowserService';

    private parser = new UAParser(window.navigator.userAgent);

    public isIos(): boolean {
        return this.parser.getOS().name === 'iOS';
    }
}

export default BrowserService.sharedInstance as BrowserService;